Saltar al contenido principal
GET
/
2
/
news
/
{id}
Obtener noticias por id
curl --request GET \
  --url https://api.x.com/2/news/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "rest_id": "2244994945",
    "category": "<string>",
    "cluster_posts_results": [
      {
        "post_id": "1346889436626259968"
      }
    ],
    "contexts": {
      "entities": {
        "events": [
          "<string>"
        ],
        "organizations": [
          "<string>"
        ],
        "people": [
          "<string>"
        ],
        "places": [
          "<string>"
        ],
        "products": [
          "<string>"
        ]
      },
      "finance": {
        "tickers": [
          "<string>"
        ]
      },
      "sports": {
        "teams": [
          "<string>"
        ]
      },
      "topics": [
        "<string>"
      ]
    },
    "disclaimer": "<string>",
    "hook": "<string>",
    "keywords": [
      "<string>"
    ],
    "last_updated_at_ms": "2025-7-14T04:35:55Z",
    "name": "<string>",
    "summary": "<string>"
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

id
string
requerido

El ID de la noticia. Identificador único de la noticia.

Pattern: ^[0-9]{1,19}$
Ejemplo:

"2244994945"

Parámetros de consulta

news.fields
enum<string>[]

Una lista de campos de News, separados por comas, que se mostrarán. Los campos disponibles para un objeto News.

Minimum array length: 1
Opciones disponibles:
category,
cluster_posts_results,
contexts,
disclaimer,
hook,
id,
keywords,
name,
summary,
updated_at
Ejemplo:
[
"category",
"cluster_posts_results",
"contexts",
"disclaimer",
"hook",
"id",
"keywords",
"name",
"summary",
"updated_at"
]

Respuesta

La solicitud se ha completado correctamente.

data
object

Una noticia generada mediante IA.

errors
object[]
Minimum array length: 1

Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).